# RTCP compound packets manipulation.

## Classes

class | RTCPCompoundHandler
| low level structs and RTCP packet parsing and building methods. More...
class | RTCPReceiverInfo
| Report block information of SR/RR RTCP reports. More...
class | RTCPSenderInfo
| Sender block information of SR RTCP reports. More...

## Enumerations

enum | SDESItemType { SDESItemTypeEND = 0, SDESItemTypeCNAME, SDESItemTypeNAME, SDESItemTypeEMAIL, SDESItemTypePHONE, SDESItemTypeLOC, SDESItemTypeTOOL, SDESItemTypeNOTE, SDESItemTypePRIV, SDESItemTypeH323CADDR, SDESItemTypeLast = SDESItemTypeH323CADDR }
| SDES items that may be carried in a Source DEScription RTCP packet. More...

## Functions

timeval | NTP2Timeval (uint32 msw, uint32 lsw)
| Convert a NTP timestamp, expressed as two 32-bit long words, into a timeval value.
uint32 | timevalIntervalTo65536 (timeval &t)
| Convert a time interval, expressed as a timeval, into a 32-bit time interval expressed in units of 1/65536 seconds.

## Enumeration Type Documentation

enum SDESItemType

SDES items that may be carried in a Source DEScription RTCP packet.

CNAME is mandatory in each RTCP compound packet (except when splitted for partial encryption), the others are optional and have different sending frequencies, though with recommended default values.

Enumerator:

  SDESItemTypeEND | END of SDES item list.
  SDESItemTypeCNAME | Canonical end-point identifier.
  SDESItemTypeNAME | Personal NAME of the user.
  SDESItemTypeEMAIL | EMAIL address of the user.
  SDESItemTypePHONE | Phone number of the user.
  SDESItemTypeLOC | Location where the user is.
  SDESItemTypeTOOL | Application or tool.
  SDESItemTypeNOTE | Comment usually reporting state.
  SDESItemTypePRIV | Private extension.
  SDESItemTypeH323CADDR | H323 callable address.
  SDESItemTypeLast | Last defined code.

## Function Documentation

timeval NTP2Timeval | ( | uint32 | msw,
|  | uint32 | lsw
| ) |  |

Convert a NTP timestamp, expressed as two 32-bit long words, into a timeval value.

Parameters:

  msw | Integer part of NTP timestamp.
  lsw | Fractional part of NTP timestamp.

Returns:
  timeval value corresponding to the given NTP timestamp.

uint32 timevalIntervalTo65536 | ( | timeval & | t ) |

Convert a time interval, expressed as a timeval, into a 32-bit time interval expressed in units of 1/65536 seconds.

Parameters:

  t | Timeval interval.

Returns:
  32-bit value corresponding to the given timeval interval.